/*	Copyright (C) 2018-2024 Martin Guy <martinwguy@gmail.com>
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 3
 *	as published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * result_cache.h: Declarations for result_cache.c
 */

#ifndef RESULT_CACHE_H

#include "calc.h"

extern calc_t *remember_result(calc_t *result);
extern calc_t *recall_result(secs_t t, freq_t fftfreq,
			     window_function_t window);
extern void	drop_all_results(void);
extern void	print_result_cache_stats(void);

#define RESULT_CACHE_H
#endif
